#include "Arduino.h"
#include "motor.h"

void InitMotor(){
    Serial.println("InitMotor");
    pinMode(MotorPositive, OUTPUT);
    pinMode(MotorNegative, OUTPUT);
    StopMotor();
}

void StopMotor(){
    analogWrite(MotorPositive, 0);
    analogWrite(MotorNegative, 0);
}

void StartMotor(){
    //speed = constrain(speed, 0, 255);

    analogWrite(MotorPositive, 255);
    analogWrite(MotorNegative, 0);
}

void ReverseMotor(){
    //speed = constrain(speed, 0, 255);
    
    analogWrite(MotorPositive, 0);
    analogWrite(MotorNegative, 255);
}
